Avada Forums Community Forum [BUG]: Fusion Sliders Cannot Be Exported When Using PHP 7.4.2

Viewing 5 posts - 1 through 5 (of 5 total)
  • Author
    Posts
  • Jetxpert-Envato
    Blocked
    Post count: 339

    “Houston, we have a bug”

    Path: WP > Fusion Slider > Export/Import > Export All Sliders

    When we use PHP 7.3, we can export our fusion sliders. The downloaded file name is: “fusion_slider.zip”

    When we use PHP 7.4.2, we either cannot export our fusion sliders (get a page error) or the downloaded file is: “edit.xml”

    Kindly update (fix) your code to allow the Fusion Slider Export function to work with PHP 7.4 and up.

    All other export functions (Fusion Builder and Theme Options) do function with PHP 7.4.2.

    Thank you!

    Ammar. S
    Keymaster
    Post count: 2234

    Hello @jetxpert-Envato

    We can assure you there is no bug related to the export of Fusion slider on PHP version 7.4.2, please see this video we have shot for you aswell => https://d.pr/v/SkNAMg

    Please double check if any 3rd party plugin is conflicting with that version of PHP causing this issue.

    Thanks

    -Ammar

    Jetxpert-Envato
    Blocked
    Post count: 339

    Hi Ammar,

    The issue occurs with Avada 6.1.2 (not 6.2.1). All plugins disabled, issue persists.

    If Avada is still issuing patches for versions prior to 6.2.1, we can provide more details.

    Thank you!

    Michael
    Keymaster
    Post count: 684

    @jetxpert-envato

    Then why not mention the version number in the first place?

    There is no issue with exporting Fusion Sliders with Avada 6.1.2 and PHP 7.4.2 either, here is a video > https://d.pr/v/Q6Zz3S

    Jetxpert-Envato
    Blocked
    Post count: 339

    @michael,

    Apologies. Not mentioning the version # was an oversight.

    I researched this further and learned that the PHP ZipArchive extension (necessary for exporting/importing fusion sliders) is only loaded for PHP releases up to PHP 7.3.X. We are using PHP 7.4.2 (native). So, this is what’s causing the issue.

    The good news is that the PHP ZipArchive extension will be loaded (installed) starting with PHP 7.4.3 (click here for the changelog: https://www.php.net/ChangeLog-7.php), which was released only 3 days ago (February 20, 2020). Problem should be fixed as soon as it’s installed in my host server.

    If you don’t mind me asking, what PHP 7.4.X version did you use for your above test?

    Thank you!

Viewing 5 posts - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.